package com.uoc.eSalut;

import android.app.Fragment;
import android.app.FragmentManager;
import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;

public class EntradaCuidador extends Fragment implements OnClickListener {
	private Context context=null;
    View rootView=null;
    private String usuari=null;
    public EntradaCuidador(){
    }
     
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container,
            Bundle savedInstanceState) {
    	rootView = inflater.inflate(R.layout.entrada_cuidador, container, false);
        context =container.getContext();
    	Button btModifPacient = (Button)rootView.findViewById(R.id.btModifC);
    	btModifPacient.setOnClickListener(this);
        Button btConsultaPacient = (Button)rootView.findViewById(R.id.btConsultaP);
        btConsultaPacient.setOnClickListener(this);
        Button btConsultaVisites = (Button)rootView.findViewById(R.id.btConsultaV);
        btConsultaVisites.setOnClickListener(this);
        Intent startingIntent = getActivity().getIntent();
        if(startingIntent!=null){
            usuari=startingIntent.getStringExtra("usuari");
            startingIntent.putExtra("titulo","Entrada cuidador");
        }
        return rootView;
    }
    
    public void onClick(View v){
    	if (v.getId() == R.id.btModifC){
            Fragment fragment=new ModificaCuidador();
            //Validamos si el fragment no es nulo
            FragmentManager fragmentManager = getFragmentManager();
            fragmentManager.beginTransaction().replace(R.id.content_frame, fragment).commit();
            getActivity().setTitle("Modificació cuidador");
        }
        if (v.getId() == R.id.btConsultaP){
            Fragment fragment=new ConsultaPacient();
            //Validamos si el fragment no es nulo
            FragmentManager fragmentManager = getFragmentManager();
            fragmentManager.beginTransaction().replace(R.id.content_frame, fragment).commit();
            getActivity().setTitle("Consulta pacient");
        }

        if (v.getId() == R.id.btConsultaV){
            Fragment fragment=new CalendariPersonalizado();
            //Validamos si el fragment no es nulo
            FragmentManager fragmentManager = getFragmentManager();
            fragmentManager.beginTransaction().replace(R.id.content_frame, fragment).commit();
            getActivity().setTitle(R.string.mn_Calendari);
        }

    }
}
