package com.uoc.eSalut;

import android.accounts.Account;
import android.accounts.AccountManager;
import android.app.Application;
import android.content.Context;
import android.content.Intent;
import android.telephony.TelephonyManager;

import com.parse.Parse;
import com.parse.ParseInstallation;
import com.parse.ParseObject;
import com.parse.ParsePush;
import com.parse.PushService;
import com.uoc.eSalut.ParseBD.Cuidadors;
import com.uoc.eSalut.ParseBD.ParseBd;

import java.util.ArrayList;
import java.util.prefs.Preferences;


/**
 * Created by Javier on 04/12/2015.
 */
public class ParseSalutApplication extends Application {
    @Override
    public void onCreate() {
        super.onCreate();
        ParseBd parseBd =new ParseBd(getApplicationContext());
        parseBd.obrirBDLocal();
        Parse.initialize(this, getString(R.string.parseAppId), getString(R.string.parseClientID));
        //Llegir el número de movil que utilitza la meva aplicación
        TelephonyManager telApp=(TelephonyManager)getSystemService(Context.TELEPHONY_SERVICE);

        if(telApp.getLine1Number()!=null && !"".equals(telApp.getLine1Number())){
            Intent intent = new Intent(this,MenuPacient.class);
            intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            startActivity(intent);
        }else{
            //si no està posat el telefon a la SIM, llavors surt la pantalla de activity
            Intent intent = new Intent(this,MainActivity.class);
            intent.setFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
            startActivity(intent);
        }
    }
}
